Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Request scene summary

Prev Next

Available in VPC

Request a VLM-based scene summary for an index that has been fully indexed. Once the scene summary is complete, a natural language text summary will be generated for each scene.

Note

Note the following when requesting a scene summary.

  • Scene summaries are executed based on the index. You can only request scene summarization for indexes where indexing has been completed.
  • The initial analysis must be run on the entire scene. Once the full analysis is complete, you can perform a partial reanalysis by specifying specific scenes.
  • For a given asset, scene summary can only be run on a single index.
  • Editing metadata (such as person labeling or script editing) is restricted while scene summarization is in progress.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /api/v1/workspaces/{workspace_name}/projects/{project_id}/assets/{asset_id}/indexes/{index_id}/scene-summaries

Request headers

For information about the headers common to all Media Intelligence APIs, see Media Intelligence request headers.

Request path parameters

The following describes the parameters.

Field Type Required Description
workspace_name String Required Workspace name
project_id String Required Project ID
asset_id String Required Media asset ID
index_id String Required Index ID

Request body

You can include the following data in the body of your request:

Field Type Required Description
sceneIds Array<Integer> Optional List of scene IDs to be reanalyzed
  • Available only after the initial full analysis has been completed
  • If not entered, all scenes in the index will be analyzed.
  • If entered, only the specified scenes will be reanalyzed, and only the summaries for those scenes will be updated (summaries for other scenes will remain unchanged).

Request example

The request example is as follows:

curl --location --request POST 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/assets/5678/indexes/1001/scene-summaries' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
    "sceneIds": [1, 3, 5]
}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
code String - API processing result code
message String - API processing result message
result Object - Scene summary request information
result.sceneSummaryId Integer - Scene summary request ID
result.indexId Integer - Analysis target index ID
result.targetSceneIds Array<Integer> - List of scene IDs to be analyzed
  • null if it is a full analysis
result.createdTime String - Analysis request creation date and time
  • ISO 8601 format
result.createdUserName String - Username of the user who requested the analysis

Response status codes

For information about the HTTP status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.

Response example

The response example is as follows:

{
    "code": "0",
    "message": "success",
    "result": {
        "sceneSummaryId": 101,
        "indexId": 1001,
        "targetSceneIds": null,
        "createdTime": "2026-04-17T10:30:00",
        "createdUserName": "username"
    }
}